Bug 114901 - UI: TSCP Classification dialog: too much vertical white space and Part list too wide
Summary: UI: TSCP Classification dialog: too much vertical white space and Part list ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Cor Nouws
URL:
Whiteboard: target:6.1.0 target:6.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-07 22:55 UTC by Cor Nouws
Modified: 2018-01-26 12:48 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
pdf with existing situation on top - en below the improved one (130.27 KB, application/pdf)
2018-01-07 23:00 UTC, Cor Nouws
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2018-01-07 22:55:17 UTC
some visual improvements are needed in the dialog Classification 
(tool bar TSCP Classification)

There is too much vertical white space and the Part list too wide.
I'll attach a PDF showing old en desired.
Will provide a patch too.
Comment 1 Cor Nouws 2018-01-07 23:00:37 UTC
Created attachment 138947 [details]
pdf with existing situation on top - en below the improved one

patch: https://gerrit.libreoffice.org/47558
Comment 2 Commit Notification 2018-01-13 11:04:50 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=085852e2e2779de1712cf18b5e67740cb7a4bcb6

tdf#114901 TSCP various advanced TSCP dialog changes

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Cor Nouws 2018-01-15 16:36:38 UTC
works fine in master build - backporting to 6.0 would be appreciated.
Comment 4 Adolfo Jayme 2018-01-16 17:14:41 UTC
The patch above breaks string freeze as it is, so it can’t be backported to the release branch.
Comment 5 Tomaz Vajngerl 2018-01-16 23:40:10 UTC
Good point, I already created a gerrit backport [1] but looks like it either needs to be modified or abandoned.

[1] https://gerrit.libreoffice.org/#/c/47924/
Comment 6 Cor Nouws 2018-01-17 13:18:13 UTC
(In reply to Tomaz Vajngerl from comment #5)
> Good point, I already created a gerrit backport [1] but looks like it either
> needs to be modified or abandoned.
> 
> [1] https://gerrit.libreoffice.org/#/c/47924/

please skip the string change in the patch. Not important compared to the rest.
Comment 7 Tomaz Vajngerl 2018-01-22 10:44:59 UTC
I reverted the string change.
Comment 8 Commit Notification 2018-01-24 18:21:26 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2373acbbb21dd6095d7bfc20b31bbfaa1d9bbad6&h=libreoffice-6-0

tdf#114901 TSCP various advanced TSCP dialog changes

It will be available in 6.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.